	implicit none
	real rtbis, rtsec
	external f

c	bisection method
	write (*,*) rtbis(f,0,1.5,1.e-6)

c	secant method
	write (*,*) rtsec(f,0,1.5,1.e-6)

	end

	function f(x)
	implicit none
	real f,x
	f=x**50+x**4-x**2*sin(x)-1
	end
